Description

When I've try to create a Feature instance from a FeatureReference I get a RuntimeException("Reference Not found").

After debug code, I've found that generated sql uses an invalid expression for a null value ("field = null") when it tries to locate the
referred record if one of the pk-values is null.

This path modify JDBCStoreProvider to generate a expression "field is null" for null values.

Also, fixes a problem that makes that pk fields were added multiple times on select clause.

Associated revisions
Revision 40916 - 11/18/2013 11:20 AM - Joaquín  del Cerro Murciano

refs #2114, Error restoring Feature from FeatureReference of JDBC source with a null value in pk

History
#1 - 11/18/2013 04:34 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano

#2 - 11/18/2013 05:27 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

#3 - 01/13/2014 09:41 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/28/2014 09:27 AM - Álvaro Anguix
- Status changed from Fixed to Closed
